Subject: Re: bug#65196: 28.2; gnus-group-make-nnir-group always returns "no messages"

From: "Loris Bennett" <[email-masked]>
Date: Wed, 16 Aug 2023 16:08:43 +0200

Loris Bennett <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> "Loris Bennett" <[email-masked]> writes:
>>
>>> Eli Zaretskii <[email-masked]> writes:
>>>
>>>>> From: Loris Bennett <[email-masked]>
>>>>> Date: Thu, 10 Aug 2023 09:48:53 +0200
>>>>> 
>>>>> 
>>>>> After upgrading Debian from 11 to 12, gnus-group-make-nnir-group always
>>>>> says that the search group contains no messages, even though there are
>>>>> in fact messages in the original group which contain the string searched
>>>>> for.
>>>>> 
>>>>> In *Messages* somethin like the following will appear:
>>>>> 
>>>>>   Opening server fu_exchange
>>>>>   Searching nnimap+fu_exchange:HPC...done
>>>>>   Group nnselect:nnselect-87jzu3z7wb.fsf contains no messages
>>>>> 
>>>>> The configuration in init.el is as follows:
>>>>> 
>>>>>   (setq user-mail-address "[email-masked]")
>>>>> 
>>>>>   (setq message-send-mail-function 'smtpmail-send-it)
>>>>>   (setq smtpmail-smtp-server "mail.zedat.fu-berlin.de")
>>>>>   (setq smtpmail-smtp-service 587)
>>>>> 
>>>>>   (setq gnus-select-method '(nntp "news.fu-berlin.de"))
>>>>>   (setq gnus-secondary-select-methods
>>>>>         (quote
>>>>>          ((nnimap "fu_exchange"
>>>>>                   (nnir-search-engine imap)
>>>>>                   (remove-prefix "nnimap")
>>>>>                   (nnimap-address "mail.zedat.fu-berlin.de")
>>>>>                   (nnimap-record-commands t)
>>>>>                   (nnimap-inbox INBOX)
>>>>>                   (gnus-message-archive-group "nnimap+fu_exchange:Gesendete Elemente")))))
>>>>> 
>>>>> The same problem occurs with nntp groups (not configured in this test).
>>>>> 
>>>>> Unfortunately that is all the information I can provide, although I can
>>>>> see that it is probably insufficient to identify the problem.
>>>>
>>>> Andrew, any comments?  Is this perhaps already fixed in Emacs 29?
>>>
>>> Further investigation reveal that this is not a general issue, but is
>>> related to the specific select methods.
>>>
>>> For my work setup I actually have, in addition to the settings above
>>>
>>>   (nntp "fu_news"
>>>         (nntp-address "news.fu-berlin.de")
>>> 	(remove-prefix nntp)
>>> 	(gnus-message-archive-group "nnimap+fu_exchange:Gesendete Elemente"))) 
>>>
>>> Searching in newgroups subscribe to via the above also always returns no
>>> messages.
>>>
>>> However, in my private setup I have various email providers, such as GMX:
>>>
>>>          (nnimap "gmx"
>>>                   (nnimap-stream tls)
>>>                   (remove-prefix "nnimap.")
>>>                   (nnimap-record-commands t)
>>>                   (nnimap-address "imap.gmx.com"))
>>>   
>>> If I add this to my work setup, search results within folders in the GMX
>>> account *do* produce results.  Searching within the Exchange folder or the
>>> NNTP groups still fails. 
>>>
>>> Is there anything I can do to help debug the problem?
>>
>> For the exchange server, you should just remove the `nnir-search-engine`
>> setting from the definition, it should work find by default.
>>
>> I don't believe search works for nntp at all -- did it used to?
>
>
> Hmm, perhaps you are right.  Maybe it never did.  It certainly doesn't
> work on a third laptop with Emacs 27.1.  Perhaps I am just confusing
> newsgroups and mailing lists (and mailing list posing as newsgroups via
> Gmane) and it was actually just working for the mailing lists.
>
> With init.el containing just
>
> (setq gnus-select-method '(nntp "news.fu-berlin.de"))
> (setq gnus-secondary-select-methods
>       (quote
>        ((nnimap "gmx"
>                 (nnimap-stream tls)
>                 (nnimap-address "imap.gmx.com"))
> 	(nnimap "fu_exchange"
>                 (nnimap-stream tls)
> 		(nnimap-address "mail.zedat.fu-berlin.de")))))
> (custom-set-variables
>  ;; custom-set-variables was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(gnus-verbose 10))
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  )
>
> Searching within the GMX mailbox works but not in a newsgroup and the
> Exchange mailbox.  The following is shown in *Messages*:
>
> Opening server gmx
> Searching nnimap+gmx:Family...done
> Fetching headers for nnselect:nnselect-871qg4g5d5.fsf...
> nnimap read 0k from imap.gmx.com
> Fetching headers for nnselect:nnselect-871qg4g5d5.fsf...done
> Sorting threads...done
> Generating summary...done
> Retrieving newsgroup: nnselect:nnselect-87zg2seqsg.fsf...
> Opening server fu_exchange
> Searching nnimap+fu_exchange:HPC...done
> Group nnselect:nnselect-87zg2seqsg.fsf contains no messages
> previous-line: Beginning of buffer
> Retrieving newsgroup: nnselect:nnselect-87y1iceqsc.fsf...
> nnselect-run: gnus-search-run-query on ((search-query-spec (query . emacs) (raw)) (search-group-spec (nntp:news.fu-berlin.de comp.emacs))) gave error (gnus-search-config-error gnus-search-config-error No search engine configured for nntp:news.fu-berlin.de)
> Group nnselect:nnselect-87y1iceqsc.fsf contains no messages
>
> So I seem to be missing a search engine for the newsgroup, but as we
> have established, that probably never worked.  However, the search in
> the Exchange mailbox just fails without further information, and that
> definitely did used to work.

Apparently Exchange does not like the character set being used.  This is
the error message that Exchange generates:

  SEARCH CHARSET UTF-8 TEXT hpc,"R=""6487 NO [BADCHARSET (US-ASCII)] The specified charset is not supported."

I don't quite understand the error, as I would not think US-ASCII was a
bad charset.  I assume it is more likely that my using a locale with

  LANG=en_US.utf8

might be the problem.  This may have been different before I updated
Debian.

If I search for a string such as "Bestätigung" in a folder belonging to
the GMX mail box, this also erroneously produces an empty result set.

So it looks like it is not an actually problem with Gnus as such.

Cheers,

Loris

-- 
This signature is currently under constuction.